get_transformation_matrix(3)

NAME
get_transformation_matrix

SYNOPSIS
#include <allegro.h>

void get_transformation_matrix(MATRIX *m, fixed scale, fixed xrot, yrot, zrot, x, y, z);

DESCRIPTION
Constructs a transformation matrix which will rotate points around all three axis by the specified amounts (given in binary, 256 degrees to a circle format), scale the result by the specified amount (pass 1 for no change of scale), and then translate to the requested x, y, z position.

SEE ALSO
apply_matrix(3), get_rotation_matrix(3), get_scaling_matrix(3), get_translation_matrix(3)